## textql 2.0.3

=== Makefile ===
.PHONY: all test clean man glide fast release install

all: textql

textql: deps test
	go build -ldflags "-X main.VERSION=`cat VERSION`" -o ./build/textql ./textql/main.go

fast:
	go build -i -ldflags "-X main.VERSION=`cat VERSION`-dev" -o ./build/textql ./textql/main.go

deps: glide
	./glide install

glide:
ifeq ($(shell uname),Darwin)
	curl -L https://github.com/Masterminds/glide/releases/download/0.5.0/glide-darwin-amd64.zip -o glide.zip
	unzip glide.zip
	mv ./darwin-amd64/glide ./glide
	rm -fr ./darwin-amd64
	rm ./glide.zip
else
	curl -L https://github.com/Masterminds/glide/releases/download/0.5.0/glide-linux-386.zip -o glide.zip
	unzip glide.zip
	mv ./linux-386/glide ./glide
	rm -fr ./linux-386
	rm ./glide.zip
endif

test:
	go test ./inputs/
	go test ./storage/

clean:
	rm ./glide
	rm -fr ./build

release: textql
	git tag -a `cat VERSION`
	git push origin `cat VERSION`

install: deps test
	go install -ldflags "-X main.VERSION=`cat VERSION`" ./textql/textql.go

man:
	ronn man/textql.1.ronn

=== sqlparser/Makefile ===

MAKEFLAGS = -s

sql.go: sql.y
	go tool yacc -o sql.go sql.y
	gofmt -w sql.go

clean:
	rm -f y.output sql.go

=== debian/changelog ===
textql (2.0.3-2) unstable; urgency=medium

  * Team upload.
  * Switch to XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 10 Feb 2018 11:14:58 +0100

textql (2.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #848222)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 20 Jan 2017 16:34:30 +0800

=== debian/control ===
Source: textql
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-github-mattn-go-sqlite3-dev,
               golang-go,
               sqlite3,
Standards-Version: 3.9.8
Homepage: https://github.com/dinedal/textql/
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/textql.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-go/packages/textql.git
XS-Go-Import-Path: github.com/dinedal/textql

Package: textql
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         sqlite3,
Description: execute SQL against structured text like CSV or TSV
 TextQL allows you to easily execute SQL against structured text like
 CSV or TSV.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%textql-$1.tar.gz%" \
   https://github.com/dinedal//textql/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
